Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl.debug
Class DebugDynamicMember

    java.lang.Object
      com.pietschy.command.group.impl.AbstractGroupMember
          com.pietschy.command.group.impl.DynamicMember
              com.pietschy.command.group.impl.debug.DebugDynamicMember

All Implemented Interfaces:
  GroupMember

    public class DebugDynamicMember

extends DynamicMember

A subclass of `DynamicMember` that inserts a debug component when the real target hasn't been resolved.

Constructor Summary
`DebugDynamicMember(CommandGroup parent, java.lang.String commandId, boolean inlineGroup)`

Method Summary
`int` | `addComponentTo(javax.swing.JComponent container, Factory factory, java.lang.String defaultFaceId, java.util.List<java.awt.Component> previousComponents, int buttonIndex)` Invoked to add this members content to the specified component.
`protected void` | `configure(javax.swing.AbstractButton b)`
`protected java.awt.Component` | `createComponent(Factory factory)`
`protected java.awt.Component` | `getDebugComponent(Factory factory, java.util.List<java.awt.Component> previousComponents)`
`java.awt.Color` | `getMissingCommandColor()`
`protected boolean` | `isMine(java.awt.Component component)`
`void` | `setMissingCommandColor(java.awt.Color missingCommandColor)`
`int` | `size()` Returns the size of this member.

Methods inherited from class com.pietschy.command.group.impl.DynamicMember
`acceptVisitor, addNotify, getId, isMemberFor, notifyCommandContainerHierarchyChanged, removeNotify, reset, resolved, toString`

Methods inherited from class com.pietschy.command.group.impl.AbstractGroupMember
`addChangeListener, fireChanged, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DebugDynamicMember

    public DebugDynamicMember(CommandGroup parent,
                              java.lang.String commandId,
                              boolean inlineGroup)

Method Detail

### addComponentTo

    public int addComponentTo(javax.swing.JComponent container,
                              Factory factory,
                              java.lang.String defaultFaceId,
                              java.util.List<java.awt.Component> previousComponents,
                              int buttonIndex)

  Description copied from interface: `GroupMember`
  Invoked to add this members content to the specified component.

  Specified by:
    `addComponentTo` in interface `GroupMember`
  Overrides:
    `addComponentTo` in class `DynamicMember`
  Parameters:
    `container` - the component to add the component to.
    `factory` - the factory to be used, either a `ButtonFactory` or `MenuFactory`.
    `defaultFaceId` - the context to use when adding the component.
    `previousComponents` - the list of previsous components built by the parent. The member should reuse and components in preference to creating new ones.
    `buttonIndex` - the index that of the member in the parent group.
  Returns:
    the number of components added by this member.

### getDebugComponent

    protected java.awt.Component getDebugComponent(Factory factory,
                                                   java.util.List<java.awt.Component> previousComponents)

### createComponent

    protected java.awt.Component createComponent(Factory factory)

### configure

    protected void configure(javax.swing.AbstractButton b)

### getMissingCommandColor

    public java.awt.Color getMissingCommandColor()

### setMissingCommandColor

    public void setMissingCommandColor(java.awt.Color missingCommandColor)

### isMine

    protected boolean isMine(java.awt.Component component)

### size

    public int size()

  Description copied from class: `DynamicMember`
  Returns the size of this member. If !`DynamicMember.resolved()` this method returns 0, if `DynamicMember.isInline()` it returns the size of the inlined group, otherwise it returns 1.

  Specified by:
    `size` in interface `GroupMember`
  Overrides:
    `size` in class `DynamicMember`
  Returns:
    the size of the member.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch